This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1286272 - [GSS](6.4.z) DuplicateService Exception if services are used in multiple modules of an EAR deployment
[GSS](6.4.z) DuplicateService Exception if services are used in multiple modu...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: MSC (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.10
Assigned To: Panagiotis Sotiropoulos
Peter Mackay
:
Depends On:
Blocks: 1292044 1330911 eap6410-payload
  Show dependency treegraph
 
Reported: 2015-11-27 12:18 EST by wfink
Modified: 2017-01-17 08:00 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1292044 (view as bug list)
Environment:
Last Closed: 2017-01-17 08:00:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A simple example based on the quickstarts (47.42 KB, application/zip)
2015-12-09 03:19 EST, Panagiotis Sotiropoulos
no flags Details
Uploading the test .ear of wfink (13.45 KB, application/zip)
2015-12-14 08:29 EST, Panagiotis Sotiropoulos
no flags Details
Adding the stack trace for wfink's test .ear (22.50 KB, text/plain)
2015-12-14 08:39 EST, Panagiotis Sotiropoulos
no flags Details
Test for Wildfly added. (1.14 MB, application/zip)
2015-12-15 05:57 EST, Panagiotis Sotiropoulos
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-2402 Critical Verified [GSS](7.0.z) Multiple triggers of each activator service when there are multiple modules with different service activato... 2017-07-05 06:00 EDT
JBoss Issue Tracker WFCORE-1235 Blocker Resolved Multiple triggers of each activator service when there are multiple modules with different service activator files in an... 2017-07-05 06:00 EDT
Red Hat Knowledge Base (Solution) 2533811 None None None 2016-08-17 09:47 EDT

  None (edit)
Description wfink 2015-11-27 12:18:21 EST
Description of problem:
If one EAR contains more than one module with a META-INF/services/org.jboss.msc.service.ServiceActivator file the services are activated multiple times (as ServiceActivator files are found).

If the file is moved to the ear/META-INF as the only one there is no activation.
If the ear and a jar contain it it will fail with a org.jboss.msc.service.DuplicateServiceException.
Comment 10 Panagiotis Sotiropoulos 2015-12-09 03:19 EST
Created attachment 1103808 [details]
A simple example based on the quickstarts
Comment 11 Panagiotis Sotiropoulos 2015-12-09 03:19:48 EST
Hello. I think that this PR fixes the issue : https://github.com/jbossas/jboss-eap/pull/2640

Added also another simple test, which is based on the quickstart example.
Comment 15 Panagiotis Sotiropoulos 2015-12-14 08:29 EST
Created attachment 1105573 [details]
Uploading the test .ear of wfink
Comment 16 Panagiotis Sotiropoulos 2015-12-14 08:39 EST
Created attachment 1105574 [details]
Adding the stack trace for wfink's test .ear
Comment 19 Panagiotis Sotiropoulos 2015-12-15 05:57 EST
Created attachment 1105949 [details]
Test for Wildfly added.
Comment 20 Panagiotis Sotiropoulos 2015-12-15 05:59:29 EST
Executing the above test for wildfly shows that Multiple Triggers of the Service Activator exist also upstream.
Comment 21 Panagiotis Sotiropoulos 2015-12-15 11:43:48 EST
Resolved by : https://github.com/jbossas/jboss-eap/pull/2640
Comment 22 JBoss JIRA Server 2015-12-16 07:06:56 EST
Panagiotis Sotiropoulos <psotirop@redhat.com> updated the status of jira JBEAP-2402 to Closed
Comment 23 JBoss JIRA Server 2015-12-17 03:12:06 EST
Panagiotis Sotiropoulos <psotirop@redhat.com> updated the status of jira JBEAP-2402 to Reopened
Comment 24 JBoss JIRA Server 2015-12-17 03:15:36 EST
Panagiotis Sotiropoulos <psotirop@redhat.com> updated the status of jira JBEAP-2402 to Resolved
Comment 25 JBoss JIRA Server 2015-12-17 12:44:56 EST
Panagiotis Sotiropoulos <psotirop@redhat.com> updated the status of jira JBEAP-2402 to Reopened
Comment 26 Mike McCune 2016-03-28 19:23:30 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 28 Panagiotis Sotiropoulos 2016-05-03 06:07:33 EDT
https://github.com/jbossas/jboss-eap/pull/2770
Comment 29 Peter Mackay 2016-05-05 07:56:22 EDT
This is not fixed in EAP 6.4.8.CP.CR2. I tested with the reproducer provided by wfink and the scenario with 3 service jars was still failing.

The fix provided by Panagiotis in https://github.com/jbossas/jboss-eap/pull/2770 seems to fix this.
Comment 30 Panagiotis Sotiropoulos 2016-05-05 08:26:29 EDT
Since there is a fix moving back to POST
Comment 31 Petr Penicka 2016-05-09 09:23:56 EDT
Rescheduling to CP9.

A rouge commit was introduced when trying to fix this in CP8. It should be reverted when applying the fix in CP9.
Comment 37 Peter Mackay 2016-08-29 08:23:17 EDT
Verified with EAP 6.4.10.CP.CR2.
Comment 38 Petr Penicka 2017-01-17 08:00:16 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.